%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SCE
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Stepwise Clustered Ensemble

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-stats >= 3.5.0
BuildRequires:    R-utils >= 3.5.0
Requires:         R-stats >= 3.5.0
Requires:         R-utils >= 3.5.0

%description
Implementation of Stepwise Clustered Ensemble (SCE) and Stepwise Cluster
Analysis (SCA) for multivariate data analysis. The package provides
comprehensive tools for feature selection, model training, prediction, and
evaluation in hydrological and environmental modeling applications. Key
functionalities include recursive feature elimination (RFE), Wilks feature
importance analysis, model validation through out-of-bag (OOB) validation,
and ensemble prediction capabilities. The package supports both single and
multivariate response variables, making it suitable for complex
environmental modeling scenarios. For more details see Li et al. (2021)
<doi:10.5194/hess-25-4947-2021>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
